Subject: Re: Mr Biddle

From: [email-masked]
Date: Wed, 3 Jan 1996 17:49:34 -0500

Greg Biddle is a founder of the newly formed Kentucky Blacksmiths Chapter. He
is also a BAM member -- we gave them a bit of assistance getting started. His
address isRt.1 Box 172, Berry KY 41003 if anyone wants to drop him some words
of support.
--Jim McCarty